com.corticon.rulesemf.asg

## Interface AsgPackage.Literals

- Enclosing interface:
    AsgPackage

      public static interface AsgPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `EXPRESSION` The meta object literal for the '`Expression`' class
    `static org.eclipse.emf.ecore.EAttribute` | `EXPRESSION__CELL_VALUE` The meta object literal for the 'Cell Value' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `EXPRESSION__DATATYPE` The meta object literal for the 'Datatype' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `EXPRESSION__ENUMERATION` The meta object literal for the 'Enumeration' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `EXPRESSION__EXPRESSIONTYPE` The meta object literal for the 'Expressiontype' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `EXPRESSION__MODIFIED_TERM_LIST` The meta object literal for the 'Modified Term List' containment reference feature
    `static org.eclipse.emf.ecore.EReference` | `EXPRESSION__REFERENCED_TERM_LIST` The meta object literal for the 'Referenced Term List' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `EXPRESSION__TEXT` The meta object literal for the 'Text' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `EXPRESSION__TOKEN_LIST` The meta object literal for the 'Token List' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `EXPRESSION_LIST` The meta object literal for the '`Expression List`' class
    `static org.eclipse.emf.ecore.EReference` | `EXPRESSION_LIST__EXPRESSION` The meta object literal for the 'Expression' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `PARSER_OUTPUT` The meta object literal for the '`Parser Output`' class
    `static org.eclipse.emf.ecore.EClass` | `TERM` The meta object literal for the '`Term`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TERM__DATATYPE` The meta object literal for the 'Datatype' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TERM__FULLTEXT` The meta object literal for the 'Fulltext' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TERM__PARENT_TERM` The meta object literal for the 'Parent Term' containment reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `TERM__TERMTYPE` The meta object literal for the 'Termtype' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TERM__TEXT` The meta object literal for the 'Text' attribute feature
    `static org.eclipse.emf.ecore.EReference` | `TERM__VARIABLE` The meta object literal for the 'Variable' reference feature
    `static org.eclipse.emf.ecore.EClass` | `TERM_LIST` The meta object literal for the '`Term List`' class
    `static org.eclipse.emf.ecore.EReference` | `TERM_LIST__TERMS` The meta object literal for the 'Terms' containment reference list feature
    `static org.eclipse.emf.ecore.EClass` | `TOKEN` The meta object literal for the '`Token`' class
    `static org.eclipse.emf.ecore.EAttribute` | `TOKEN__TEXT` The meta object literal for the 'Text' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `TOKEN__TOKENTYPE` The meta object literal for the 'Tokentype' attribute feature
    `static org.eclipse.emf.ecore.EClass` | `VARIABLE` The meta object literal for the '`Variable`' class

- - ### Field Detail

    - #### EXPRESSION

          static final org.eclipse.emf.ecore.EClass EXPRESSION

      The meta object literal for the '`Expression`' class.
      See Also:
        `ExpressionImpl`, `AsgPackageImpl.getExpression()`

    - #### EXPRESSION__TEXT

          static final org.eclipse.emf.ecore.EAttribute EXPRESSION__TEXT

      The meta object literal for the 'Text' attribute feature.

    - #### EXPRESSION__DATATYPE

          static final org.eclipse.emf.ecore.EAttribute EXPRESSION__DATATYPE

      The meta object literal for the 'Datatype' attribute feature.

    - #### EXPRESSION__EXPRESSIONTYPE

          static final org.eclipse.emf.ecore.EAttribute EXPRESSION__EXPRESSIONTYPE

      The meta object literal for the 'Expressiontype' attribute feature.

    - #### EXPRESSION__ENUMERATION

          static final org.eclipse.emf.ecore.EAttribute EXPRESSION__ENUMERATION

      The meta object literal for the 'Enumeration' attribute feature.

    - #### EXPRESSION__CELL_VALUE

          static final org.eclipse.emf.ecore.EAttribute EXPRESSION__CELL_VALUE

      The meta object literal for the 'Cell Value' attribute feature.

    - #### EXPRESSION__MODIFIED_TERM_LIST

          static final org.eclipse.emf.ecore.EReference EXPRESSION__MODIFIED_TERM_LIST

      The meta object literal for the 'Modified Term List' containment reference feature.

    - #### EXPRESSION__REFERENCED_TERM_LIST

          static final org.eclipse.emf.ecore.EReference EXPRESSION__REFERENCED_TERM_LIST

      The meta object literal for the 'Referenced Term List' containment reference feature.

    - #### EXPRESSION__TOKEN_LIST

          static final org.eclipse.emf.ecore.EReference EXPRESSION__TOKEN_LIST

      The meta object literal for the 'Token List' containment reference list feature.

    - #### EXPRESSION_LIST

          static final org.eclipse.emf.ecore.EClass EXPRESSION_LIST

      The meta object literal for the '`Expression List`' class.
      See Also:
        `ExpressionListImpl`, `AsgPackageImpl.getExpressionList()`

    - #### EXPRESSION_LIST__EXPRESSION

          static final org.eclipse.emf.ecore.EReference EXPRESSION_LIST__EXPRESSION

      The meta object literal for the 'Expression' containment reference list feature.

    - #### TERM

          static final org.eclipse.emf.ecore.EClass TERM

      The meta object literal for the '`Term`' class.
      See Also:
        `TermImpl`, `AsgPackageImpl.getTerm()`

    - #### TERM__TEXT

          static final org.eclipse.emf.ecore.EAttribute TERM__TEXT

      The meta object literal for the 'Text' attribute feature.

    - #### TERM__DATATYPE

          static final org.eclipse.emf.ecore.EAttribute TERM__DATATYPE

      The meta object literal for the 'Datatype' attribute feature.

    - #### TERM__TERMTYPE

          static final org.eclipse.emf.ecore.EAttribute TERM__TERMTYPE

      The meta object literal for the 'Termtype' attribute feature.

    - #### TERM__FULLTEXT

          static final org.eclipse.emf.ecore.EAttribute TERM__FULLTEXT

      The meta object literal for the 'Fulltext' attribute feature.

    - #### TERM__PARENT_TERM

          static final org.eclipse.emf.ecore.EReference TERM__PARENT_TERM

      The meta object literal for the 'Parent Term' containment reference feature.

    - #### TERM__VARIABLE

          static final org.eclipse.emf.ecore.EReference TERM__VARIABLE

      The meta object literal for the 'Variable' reference feature.

    - #### TERM_LIST

          static final org.eclipse.emf.ecore.EClass TERM_LIST

      The meta object literal for the '`Term List`' class.
      See Also:
        `TermListImpl`, `AsgPackageImpl.getTermList()`

    - #### TERM_LIST__TERMS

          static final org.eclipse.emf.ecore.EReference TERM_LIST__TERMS

      The meta object literal for the 'Terms' containment reference list feature.

    - #### TOKEN

          static final org.eclipse.emf.ecore.EClass TOKEN

      The meta object literal for the '`Token`' class.
      See Also:
        `TokenImpl`, `AsgPackageImpl.getToken()`

    - #### TOKEN__TEXT

          static final org.eclipse.emf.ecore.EAttribute TOKEN__TEXT

      The meta object literal for the 'Text' attribute feature.

    - #### TOKEN__TOKENTYPE

          static final org.eclipse.emf.ecore.EAttribute TOKEN__TOKENTYPE

      The meta object literal for the 'Tokentype' attribute feature.

    - #### VARIABLE

          static final org.eclipse.emf.ecore.EClass VARIABLE

      The meta object literal for the '`Variable`' class.
      See Also:
        `VariableImpl`, `AsgPackageImpl.getVariable()`

    - #### PARSER_OUTPUT

          static final org.eclipse.emf.ecore.EClass PARSER_OUTPUT

      The meta object literal for the '`Parser Output`' class.
      See Also:
        `ParserOutputImpl`, `AsgPackageImpl.getParserOutput()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.